# F.A.Q

Here you can see, common questions and common errors and their fixes for `0r-radio`.

<details>

<summary>Audio started cutting out - breaking up - crackling on when using custom submix system.</summary>

**Check in this order:**

* If you restarted the script while the server was already running, try a full server restart instead.
* If you have edited the submix settings in `config.lua` without knowing what they do, reset them to default.
* Make sure you are using the latest version of [**pma-voice**](https://github.com/AvarianKnight/pma-voice/releases).
* Verify your start order in `server.cfg`:

```cfg
ensure ox_lib

# framework
ensure es_extended      # or qb-core / qbx_core

# inventory
ensure ox_inventory     # or whichever one you use

# voice
ensure pma-voice

ensure 0r-radio
```

* Open the file `pma-voice/client/init/main.lua` and remove or comment out the lines from 83 to 95.

```lua
-- local radioEffectId = CreateAudioSubmix('Radio')
-- SetAudioSubmixEffectRadioFx(radioEffectId, 0)
-- -- This is a GetHashKey on purpose, backticks break treesitter in nvim :|
-- SetAudioSubmixEffectParamInt(radioEffectId, 0, GetHashKey('default'), 1)
-- SetAudioSubmixOutputVolumes(
--     radioEffectId,
--     0,
--     1.0 --[[ frontLeftVolume ]],
--     0.25 --[[ frontRightVolume ]],
--     0.0 --[[ rearLeftVolume ]],
--     0.0 --[[ rearRightVolume ]],
--     1.0 --[[ channel5Volume ]],
--     1.0 --[[ channel6Volume ]]
-- )
-- AddAudioSubmixOutput(radioEffectId, 0)
-- submixIndicies['radio'] = radioEffectId
```

* Make sure your voice convars are configured correctly:

```cfg
setr voice_useNativeAudio true
setr voice_use3dAudio false # native audio and 3d audio cannot be enabled at the same time.
setr voice_enableRadios 1
setr voice_enableSubmix	1
setr voice_useSendingRangeOnly false
```

</details>

<details>

<summary>I can't join channels.</summary>

**Check in this order:**

* If you renamed the resource from `0r-radio`, it can cause this issue.
* Make sure the channel exists in the config. If it is above `publicChannels`, it must be created first.
* Check if the channel is job-restricted and whether you have the required job.
* Check if the channel requires duty. If so, make sure you are on duty. `config.lua -> channels -> duty = true/false`

</details>

<details>

<summary>I can't open the radio.</summary>

**Check in this order:**

* Check the server/client console for any error messages. They may indicate what is causing the issue.
* The radio item in your inventory may differ from the one in `config.lua`. Please make sure the item name defined in `config.lua` matches the item in your inventory system.
* You may have set up the item incorrectly. Please check [Items](/0resmon/0r-resources/0r-radio-v3/items.md) for the correct configuration.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0r-resources/0r-radio-v3/faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
